package cn.superdesk.uniorder.dubbo.provider.invoice.customer.invoiced;


import cn.superdesk.uniorder.common.rest.response.R;
import cn.superdesk.uniorder.dao.entity.invoice.customer.invoiced.InvoiceInvoicedBackCollectionOperationLog;
import cn.superdesk.uniorder.dto.param.invoice.customer.invoiced.InvoiceInvoicedBackCollectionOperationLogParam;
import cn.superdesk.uniorder.dto.param.invoice.customer.invoiced.InvoiceInvoicedBackCollectionOperationLogQueryCriteria;
import cn.superdesk.uniorder.dubbo.facade.invoice.customer.invoiced.DubboInvoiceInvoicedBackCollectionOperationLogService;
import cn.superdesk.uniorder.service.invoice.customer.invoiced.InvoiceInvoicedBackCollectionOperationLogService;
import cn.superdesk.uniorder.common.numerical.AnBeanUtils;
import com.alibaba.dubbo.config.annotation.Service;
import com.github.pagehelper.PageInfo;
import org.springframework.beans.factory.annotation.Autowired;

import java.util.List;
import java.util.Map;

/**
 * @Description: 应收账款-回款操作日志-操作留痕
 * @Author: linjinyu
 * @Email linjinyu@avic-s.com
 * @CreateDate: 2021-07-28 15:28:43
 * @UpdateUser: linjinyu
 * @UpdateDate: 2021-07-28 15:28:43
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@Service(version = "1.0.0", retries = -1, timeout = 10000)
public class DubboInvoiceInvoicedBackCollectionOperationLogServiceImpl implements DubboInvoiceInvoicedBackCollectionOperationLogService {

	@Autowired
	private InvoiceInvoicedBackCollectionOperationLogService invoiceInvoicedBackCollectionOperationLogService;


	/****************************************** extends BaseService 部分 start ******************************************/

	@Override
	public void addObj(InvoiceInvoicedBackCollectionOperationLogParam param) {

		InvoiceInvoicedBackCollectionOperationLog invoiceInvoicedBackCollectionOperationLog = AnBeanUtils.copy(param, InvoiceInvoicedBackCollectionOperationLog.class);
		invoiceInvoicedBackCollectionOperationLogService.insertSelective(invoiceInvoicedBackCollectionOperationLog);

	}

	@Override
	public void updateObj(InvoiceInvoicedBackCollectionOperationLogParam param) {

		InvoiceInvoicedBackCollectionOperationLog invoiceInvoicedBackCollectionOperationLog = AnBeanUtils.copy(param, InvoiceInvoicedBackCollectionOperationLog.class);
		invoiceInvoicedBackCollectionOperationLogService.updateByPrimaryKeySelective(invoiceInvoicedBackCollectionOperationLog);
	}

	@Override
	public void deleteObj(Long id) {
		invoiceInvoicedBackCollectionOperationLogService.deleteObj(id);
	}

	@Override
	public InvoiceInvoicedBackCollectionOperationLog findById(Long id) {
		return invoiceInvoicedBackCollectionOperationLogService.findById(id);
	}

	@Override
	public PageInfo<InvoiceInvoicedBackCollectionOperationLog> findByPaging(Map<String, Object> conditions, Integer pageNun, Integer pageSize) {
		return invoiceInvoicedBackCollectionOperationLogService.findByPaging(conditions, pageNun, pageSize);
	}

	@Override
	public List<InvoiceInvoicedBackCollectionOperationLog> findAll(Map<String, Object> queryMap) {

		return invoiceInvoicedBackCollectionOperationLogService.findAll(queryMap);
	}

	/****************************************** extends BaseService 部分   end ******************************************/


	@Override
	public void addInvoiceInvoicedBackCollectionOperationLog(InvoiceInvoicedBackCollectionOperationLogParam param) {

		InvoiceInvoicedBackCollectionOperationLog invoiceInvoicedBackCollectionOperationLog = AnBeanUtils.copy(param, InvoiceInvoicedBackCollectionOperationLog.class);
		invoiceInvoicedBackCollectionOperationLogService.addInvoiceInvoicedBackCollectionOperationLog(invoiceInvoicedBackCollectionOperationLog);
	}

	@Override
	public void updateInvoiceInvoicedBackCollectionOperationLog(InvoiceInvoicedBackCollectionOperationLogParam param) {

		InvoiceInvoicedBackCollectionOperationLog invoiceInvoicedBackCollectionOperationLog = AnBeanUtils.copy(param, InvoiceInvoicedBackCollectionOperationLog.class);
		invoiceInvoicedBackCollectionOperationLogService.updateInvoiceInvoicedBackCollectionOperationLog(invoiceInvoicedBackCollectionOperationLog);
	}

	@Override
	public void deleteInvoiceInvoicedBackCollectionOperationLog(Long id) {
		invoiceInvoicedBackCollectionOperationLogService.deleteInvoiceInvoicedBackCollectionOperationLog(id);
	}

	@Override
	public InvoiceInvoicedBackCollectionOperationLog findInvoiceInvoicedBackCollectionOperationLogById(Long id) {
		return invoiceInvoicedBackCollectionOperationLogService.findInvoiceInvoicedBackCollectionOperationLogById(id);
	}

	@Override
	public R<List<InvoiceInvoicedBackCollectionOperationLog>> pageQuery(Map<String, Object> conditions, int pageNun, int pageSize) {
		return invoiceInvoicedBackCollectionOperationLogService.pageQuery(conditions, pageNun, pageSize);

	}

	@Override
	public R<List<InvoiceInvoicedBackCollectionOperationLog>> pageQueryGenericParam(InvoiceInvoicedBackCollectionOperationLogQueryCriteria queryCriteria) {
		return invoiceInvoicedBackCollectionOperationLogService.pageQueryGenericParam(queryCriteria);

	}
}
